> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt
> Use this file to discover all available pages before exploring further.

# Edytuj alert BZP

> Zmienia nazwę, filtry, rodzaje powiadomień lub włącza/wyłącza alert.



## OpenAPI

````yaml /openapi.json patch /v1/bzp/alerts/{alert_id}
openapi: 3.1.0
info:
  title: krdata API
  description: >

    krdata udostępnia dane z polskich rejestrów gospodarczych (KRS, CRBR, KRZ,
    MSiG, RDF, biała lista VAT)

    w postaci jednego, spójnego API.


    Uwierzytelnianie odbywa się przez klucz API przekazywany w nagłówku
    `x-api-key`.

    Limity zapytań oraz pule (RDF, PDF, WPV, raporty) wynikają z wybranego
    abonamentu —

    szczegóły zwraca endpoint `GET /v1/usage/summary`.
  version: 0.1.0
servers:
  - url: https://api.krdata.pl
    description: Production
security: []
paths:
  /v1/bzp/alerts/{alert_id}:
    patch:
      tags:
        - BZP
      summary: Edytuj alert BZP
      description: Zmienia nazwę, filtry, rodzaje powiadomień lub włącza/wyłącza alert.
      operationId: bzp-alerts-update
      parameters:
        - name: alert_id
          in: path
          required: true
          schema:
            type: string
            title: Alert Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BzpAlertUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BzpAlertOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    BzpAlertUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 80
              minLength: 1
            - type: 'null'
          title: Name
        kinds:
          anyOf:
            - items:
                type: string
                enum:
                  - new
                  - change
                  - result
              type: array
              maxItems: 3
              minItems: 1
            - type: 'null'
          title: Kinds
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        keywords:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 20
            - type: 'null'
          title: Keywords
        exclude_keywords:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 20
            - type: 'null'
          title: Exclude Keywords
        cpv:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 50
            - type: 'null'
          title: Cpv
        provinces:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 16
            - type: 'null'
          title: Provinces
        cities:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 20
            - type: 'null'
          title: Cities
        authorities:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 10
            - type: 'null'
          title: Authorities
        order_types:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 3
            - type: 'null'
          title: Order Types
      type: object
      title: BzpAlertUpdate
    BzpAlertOut:
      properties:
        keywords:
          items:
            type: string
          type: array
          maxItems: 20
          title: Keywords
        exclude_keywords:
          items:
            type: string
          type: array
          maxItems: 20
          title: Exclude Keywords
        cpv:
          items:
            type: string
          type: array
          maxItems: 50
          title: Cpv
        provinces:
          items:
            type: string
          type: array
          maxItems: 16
          title: Provinces
        cities:
          items:
            type: string
          type: array
          maxItems: 20
          title: Cities
        authorities:
          items:
            type: string
          type: array
          maxItems: 10
          title: Authorities
        order_types:
          items:
            type: string
          type: array
          maxItems: 3
          title: Order Types
        name:
          type: string
          maxLength: 80
          minLength: 1
          title: Name
        kinds:
          items:
            type: string
            enum:
              - new
              - change
              - result
          type: array
          maxItems: 3
          minItems: 1
          title: Kinds
        enabled:
          type: boolean
          title: Enabled
          default: true
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        events_total:
          type: integer
          title: Events Total
          default: 0
        events_7d:
          type: integer
          title: Events 7D
          default: 0
        last_event_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Event At
      type: object
      required:
        - name
        - kinds
        - id
        - created_at
        - updated_at
      title: BzpAlertOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````